{
  "$id": "http://example.com/example.json",
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "syncInfos": {
      "$id": "/properties/syncInfos",
      "type": "boolean",
      "title": "The Syncinfos Schema "
    },
    "skipErrorInfo": {
      "$id": "/properties/skipErrorInfo",
      "type": "boolean",
      "title": "The SkipErrorInfo Schema "
    },
    "coverInfos": {
      "$id": "/properties/coverInfos",
      "type": "boolean",
      "title": "The CoverInfos Schema "
    },
    "criterias": {
      "$id": "/properties/criterias",
      "type": "array",
      "uniqueItems": true,
      "items": {
        "$id": "/properties/criterias/items",
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "$id": "/properties/criterias/items/properties/id",
            "type": "string",
            "title": "The Id Schema ",
            "minLength": 1
          },
          "family": {
            "$id": "/properties/criterias/items/properties/family",
            "type": "string",
            "title": "The Family Schema ",
            "minLength": 3,
            "maxLength": 3
          },
          "relation": {
            "$id": "/properties/criterias/items/properties/relation",
            "type": "object",
            "additionalProperties": false,
            "properties": {
              "link": {
                "anyOf":[
                  {
                    "$id": "/properties/criterias/items/properties/relation/properties/link",
                    "type": "string",
                    "title": "The Link Schema ",
                    "minLength": 1
                  },
                  {
                    "type":"null"
                  }
                ]

              },
              "project": {
                "$id": "/properties/criterias/items/properties/relation/properties/project",
                "type": "string",
                "title": "The Project Schema ",
                "minLength": 1
              },
              "building": {
                "$id": "/properties/criterias/items/properties/relation/properties/building",
                "type": "string",
                "title": "The Building Schema ",
                "minLength": 1
              },
              "floor": {
                "$id": "/properties/criterias/items/properties/relation/properties/floor",
                "type": "string",
                "title": "The Floor Schema ",
                "minLength": 1
              }
            }
          },
          "infos": {
            "$id": "/properties/criterias/items/properties/infos",
            "type": "object",
            "properties": {
              "EquipName": {
                "$id": "/properties/criterias/items/properties/infos/properties/EquipName",
                "type": "array",
                "items": {
                  "$id": "/properties/criterias/items/properties/infos/properties/EquipName/items",
                  "type": "object",
                  "properties": {
                    "value": {
                      "$id": "/properties/criterias/items/properties/infos/properties/EquipName/items/properties/value",
                      "type": [
                        "string",
                        "boolean",
                        "number",
                        "integer",
                        "null",
                        "array",
                        "object"
                      ],
                      "title": "The Value Schema "
                    },
                    "time": {
                      "$id": "/properties/criterias/items/properties/infos/properties/EquipName/items/properties/time",
                      "type": "string",
                      "title": "The Time Schema ",
                      "minLength": 1
                    }
                  },
                  "required": [
                    "value"
                  ]
                }
              }
            }
          }
        },
        "required": [
          "id",
          "infos"
        ]
      }
    }
  }
}